# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: user_ratings.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='user_ratings.proto',
  package='',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x12user_ratings.proto\"\x07\n\x05\x45mpty\"\xaf\x01\n\x06Rating\x12\x10\n\x08\x66ilename\x18\x01 \x01(\t\x12\r\n\x05stars\x18\x02 \x01(\x02\x12\x10\n\x08\x66\x65\x65\x64\x62\x61\x63k\x18\x03 \x01(\t\x12\x11\n\ttimestamp\x18\x04 \x01(\t\x12,\n\x0bllm_metrics\x18\x05 \x03(\x0b\x32\x17.Rating.LlmMetricsEntry\x1a\x31\n\x0fLlmMetricsEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12\r\n\x05value\x18\x02 \x01(\x01:\x02\x38\x01\"\xf1\x02\n\x11\x43\x61lculatedMetrics\x12\x0c\n\x04type\x18\x01 \x01(\t\x12\x13\n\x0bstatus_text\x18\x02 \x01(\t\x12\x37\n\x0emore_is_better\x18\x04 \x01(\x0b\x32\x1f.CalculatedMetrics.Moreisbetter\x1a\xff\x01\n\x0cMoreisbetter\x12\x1f\n\x17overall_avg_star_rating\x18\x01 \x01(\x01\x12,\n$overall_avg_feedback_sentiment_score\x18\x02 \x01(\x01\x12`\n\x1aoverall_avg_metrics_rating\x18\x03 \x03(\x0b\x32<.CalculatedMetrics.Moreisbetter.OverallAvgMetricsRatingEntry\x1a>\n\x1cOverallAvgMetricsRatingEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12\r\n\x05value\x18\x02 \x01(\x01:\x02\x38\x01\x32\xa1\x01\n\x0eRatingsService\x12\x1f\n\nGetRatings\x12\x06.Empty\x1a\x07.Rating0\x01\x12.\n\x10\x43\x61lculateMetrics\x12\x06.Empty\x1a\x12.CalculatedMetrics\x12>\n\x14get_metrics_metadata\x12\x12.CalculatedMetrics\x1a\x12.CalculatedMetricsb\x06proto3'
)




_EMPTY = _descriptor.Descriptor(
  name='Empty',
  full_name='Empty',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=22,
  serialized_end=29,
)


_RATING_LLMMETRICSENTRY = _descriptor.Descriptor(
  name='LlmMetricsEntry',
  full_name='Rating.LlmMetricsEntry',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='key', full_name='Rating.LlmMetricsEntry.key', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='value', full_name='Rating.LlmMetricsEntry.value', index=1,
      number=2, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=b'8\001',
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=158,
  serialized_end=207,
)

_RATING = _descriptor.Descriptor(
  name='Rating',
  full_name='Rating',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='filename', full_name='Rating.filename', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='stars', full_name='Rating.stars', index=1,
      number=2, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='feedback', full_name='Rating.feedback', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='timestamp', full_name='Rating.timestamp', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='llm_metrics', full_name='Rating.llm_metrics', index=4,
      number=5, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[_RATING_LLMMETRICSENTRY, ],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=32,
  serialized_end=207,
)


_CALCULATEDMETRICS_MOREISBETTER_OVERALLAVGMETRICSRATINGENTRY = _descriptor.Descriptor(
  name='OverallAvgMetricsRatingEntry',
  full_name='CalculatedMetrics.Moreisbetter.OverallAvgMetricsRatingEntry',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='key', full_name='CalculatedMetrics.Moreisbetter.OverallAvgMetricsRatingEntry.key', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='value', full_name='CalculatedMetrics.Moreisbetter.OverallAvgMetricsRatingEntry.value', index=1,
      number=2, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=b'8\001',
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=517,
  serialized_end=579,
)

_CALCULATEDMETRICS_MOREISBETTER = _descriptor.Descriptor(
  name='Moreisbetter',
  full_name='CalculatedMetrics.Moreisbetter',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='overall_avg_star_rating', full_name='CalculatedMetrics.Moreisbetter.overall_avg_star_rating', index=0,
      number=1, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='overall_avg_feedback_sentiment_score', full_name='CalculatedMetrics.Moreisbetter.overall_avg_feedback_sentiment_score', index=1,
      number=2, type=1, cpp_type=5, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='overall_avg_metrics_rating', full_name='CalculatedMetrics.Moreisbetter.overall_avg_metrics_rating', index=2,
      number=3, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[_CALCULATEDMETRICS_MOREISBETTER_OVERALLAVGMETRICSRATINGENTRY, ],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=324,
  serialized_end=579,
)

_CALCULATEDMETRICS = _descriptor.Descriptor(
  name='CalculatedMetrics',
  full_name='CalculatedMetrics',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='type', full_name='CalculatedMetrics.type', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='status_text', full_name='CalculatedMetrics.status_text', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='more_is_better', full_name='CalculatedMetrics.more_is_better', index=2,
      number=4, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[_CALCULATEDMETRICS_MOREISBETTER, ],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=210,
  serialized_end=579,
)

_RATING_LLMMETRICSENTRY.containing_type = _RATING
_RATING.fields_by_name['llm_metrics'].message_type = _RATING_LLMMETRICSENTRY
_CALCULATEDMETRICS_MOREISBETTER_OVERALLAVGMETRICSRATINGENTRY.containing_type = _CALCULATEDMETRICS_MOREISBETTER
_CALCULATEDMETRICS_MOREISBETTER.fields_by_name['overall_avg_metrics_rating'].message_type = _CALCULATEDMETRICS_MOREISBETTER_OVERALLAVGMETRICSRATINGENTRY
_CALCULATEDMETRICS_MOREISBETTER.containing_type = _CALCULATEDMETRICS
_CALCULATEDMETRICS.fields_by_name['more_is_better'].message_type = _CALCULATEDMETRICS_MOREISBETTER
DESCRIPTOR.message_types_by_name['Empty'] = _EMPTY
DESCRIPTOR.message_types_by_name['Rating'] = _RATING
DESCRIPTOR.message_types_by_name['CalculatedMetrics'] = _CALCULATEDMETRICS
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

Empty = _reflection.GeneratedProtocolMessageType('Empty', (_message.Message,), {
  'DESCRIPTOR' : _EMPTY,
  '__module__' : 'user_ratings_pb2'
  # @@protoc_insertion_point(class_scope:Empty)
  })
_sym_db.RegisterMessage(Empty)

Rating = _reflection.GeneratedProtocolMessageType('Rating', (_message.Message,), {

  'LlmMetricsEntry' : _reflection.GeneratedProtocolMessageType('LlmMetricsEntry', (_message.Message,), {
    'DESCRIPTOR' : _RATING_LLMMETRICSENTRY,
    '__module__' : 'user_ratings_pb2'
    # @@protoc_insertion_point(class_scope:Rating.LlmMetricsEntry)
    })
  ,
  'DESCRIPTOR' : _RATING,
  '__module__' : 'user_ratings_pb2'
  # @@protoc_insertion_point(class_scope:Rating)
  })
_sym_db.RegisterMessage(Rating)
_sym_db.RegisterMessage(Rating.LlmMetricsEntry)

CalculatedMetrics = _reflection.GeneratedProtocolMessageType('CalculatedMetrics', (_message.Message,), {

  'Moreisbetter' : _reflection.GeneratedProtocolMessageType('Moreisbetter', (_message.Message,), {

    'OverallAvgMetricsRatingEntry' : _reflection.GeneratedProtocolMessageType('OverallAvgMetricsRatingEntry', (_message.Message,), {
      'DESCRIPTOR' : _CALCULATEDMETRICS_MOREISBETTER_OVERALLAVGMETRICSRATINGENTRY,
      '__module__' : 'user_ratings_pb2'
      # @@protoc_insertion_point(class_scope:CalculatedMetrics.Moreisbetter.OverallAvgMetricsRatingEntry)
      })
    ,
    'DESCRIPTOR' : _CALCULATEDMETRICS_MOREISBETTER,
    '__module__' : 'user_ratings_pb2'
    # @@protoc_insertion_point(class_scope:CalculatedMetrics.Moreisbetter)
    })
  ,
  'DESCRIPTOR' : _CALCULATEDMETRICS,
  '__module__' : 'user_ratings_pb2'
  # @@protoc_insertion_point(class_scope:CalculatedMetrics)
  })
_sym_db.RegisterMessage(CalculatedMetrics)
_sym_db.RegisterMessage(CalculatedMetrics.Moreisbetter)
_sym_db.RegisterMessage(CalculatedMetrics.Moreisbetter.OverallAvgMetricsRatingEntry)


_RATING_LLMMETRICSENTRY._options = None
_CALCULATEDMETRICS_MOREISBETTER_OVERALLAVGMETRICSRATINGENTRY._options = None

_RATINGSSERVICE = _descriptor.ServiceDescriptor(
  name='RatingsService',
  full_name='RatingsService',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=582,
  serialized_end=743,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetRatings',
    full_name='RatingsService.GetRatings',
    index=0,
    containing_service=None,
    input_type=_EMPTY,
    output_type=_RATING,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='CalculateMetrics',
    full_name='RatingsService.CalculateMetrics',
    index=1,
    containing_service=None,
    input_type=_EMPTY,
    output_type=_CALCULATEDMETRICS,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='get_metrics_metadata',
    full_name='RatingsService.get_metrics_metadata',
    index=2,
    containing_service=None,
    input_type=_CALCULATEDMETRICS,
    output_type=_CALCULATEDMETRICS,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_RATINGSSERVICE)

DESCRIPTOR.services_by_name['RatingsService'] = _RATINGSSERVICE

# @@protoc_insertion_point(module_scope)
